Subject: Re: bug#59005: 29.0.50; Package transient installed as dependency despite it being built-in

From: Jonas Bernoulli <[email-masked]>
Date: Sat, 26 Nov 2022 15:17:38 +0100

Jonas Bernoulli <[email-masked]> writes:

> This is weird.  Maybe it is related to the following, which I also
> cannot explain:

That is indeed the case.  The issue was triggered by a change to
elpa-admin.el, the addition of version checks, which takes pre-releases.
into account.  The root cause is a mismatch between how `version<' et
al. treat suffixes like "-git" and how I use "N-git" to mean "this is
not N, it is an arbitrary commit that comes after that".  I am in
communication with Stefan to decide how to deal with that.